%define name	xvidcap
%define version	1.1.7
%define release %mkrel 2
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif

# Note that disabling these does not cause build failures, but
# other output formats than xwd will be disabled
# embedded ffmpeg vhook modules
%define _disable_ld_no_undefined 1
# FIXME: embedded ffmpeg
%define _disable_ld_as_needed 1

Name:		%{name}
Summary:	Screen capture video recorder
Version:	%{version}
Release:	%{release}
Source:		http://downloads.sourceforge.net/xvidcap/%{name}-%{version}.tar.gz
Patch0:		xvidcap-1.1.5-docbook.patch
Patch1:		xvidcap-1.1.7-fix-headers.patch
Patch2:		xvidcap-1.1.5-nawk.patch
Patch3:		xvidcap-1.1.7-desktop-entry.patch
Patch4:		xvidcap-1.1.7-ffmpeg-options.patch
URL:		http://xvidcap.sourceforge.net/
License:	GPLv2+
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	docbook-utils xmlto
BuildRequires:	gtk2-devel jpeg-devel png-devel zlib-devel 
BuildRequires:	libglade2.0-devel
BuildRequires:	libtheora-devel
BuildRequires:	libxmu-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	scrollkeeper
BuildRequires:	intltool
%if %build_plf
BuildRequires: libfaac-devel libfaad2-devel
BuildRequires: x264-devel >= 0.65
BuildRequires: liblame-devel
%endif
BuildConflicts: libffmpeg-devel
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires:	mplayer
Requires:	mencoder
Requires:	ffmpeg
Requires:	imagemagick

%description
xvidcap is a screen capture enabling you to capture videos off your X-Window
desktop for illustration or documentation purposes. It is intended to be a
standards-based alternative to tools like Lotus ScreenCam.
%if %build_plf

This package is in PLF because it is linked with patented codecs.
%endif

%prep
%setup -q
%patch0 -p0 -b .docbook
%patch1 -p1
%patch2 -p0 -b .fixawk
%patch3 -p1
%patch4 -p1

NOCONFIGURE=yes sh ./autogen.sh
intltoolize --copy --force

%build
%configure2_5x --disable-dependency-tracking --enable-libtheora
%make CPPFLAGS=-I`pwd`/ffmpeg

%install
rm -rf %{buildroot} %{name}.lang

%makeinstall_std

chmod 755 %{buildroot}%{_datadir}/%{name}/ppm2mpeg.sh
ln -s %{_datadir}/%{name}/ppm2mpeg.sh %{buildroot}%{_bindir}/ppm2mpeg.sh

rm -fr %{buildroot}/%{_docdir}

for omf in %{buildroot}%{_datadir}/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%{buildroot}!!)" >> %{name}.lang
done

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%update_scrollkeeper	
%endif
	
%if %mdkversion < 200900
%postun
%clean_menus
%clean_scrollkeeper
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/xvidcap-dbus-client
%{_bindir}/ppm2mpeg.sh
%_datadir/dbus-1/services/net.jarre_de_the.Xvidcap.service
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(it) %{_mandir}/it/man1/*
%{_datadir}/applications/xvidcap.desktop
%{_datadir}/%{name}
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*.omf
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Jul 12 2009 Anssi Hannula <anssi@mandriva.org> 1.1.7-2mdv2010.0
+ Revision: 394917
- revert previous commit that removed call to configure
- fix build of internal ffmpeg with libtheora (ffmpeg-options.patch)
- disable --as-needed and --no-undefined for now due to problems with
  internal ffmpeg

  + Caio Begotti <caio1982@mandriva.org>
    - missing part from the last commit
    - fixing build with other video formats support, other than x11 window dump at least, let upstream autogen.sh to do its own magic

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 1.1.7-1mdv2009.1
+ Revision: 297538
- new version
- fix build
- fix desktop entry
- update file list
- fix build again
- add build option for additional codecs
- fix build deps
- update license
- fix build

* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-4mdv2009.0
+ Revision: 262741
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-3mdv2009.0
+ Revision: 257850
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.6-1mdv2008.1
+ Revision: 136624
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.6-1mdv2008.0
+ Revision: 34175
- new version
- drop P3 (merged upstream)

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.5-1mdv2008.0
+ Revision: 19355
- own missing files
- new version
- drop P1
- regenerate P0 and P2
- provide P3
- some cleans


* Thu Feb 15 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-3mdv2007.0
+ Revision: 121482
- really fix permissions
- fix automake call
- fix ffmpeg build
- use docbook2x for help generation
- use awk instead of nawk
- fix call to ppm2mpeg helper script

* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-2mdv2007.0
+ Revision: 77045
- depend on mplayer

* Mon Oct 30 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2007.1
+ Revision: 73702
- new version
- fix buildrequires
- fix menu entry
- handle scrollkeeper registration

  + plouf <plouf>
    - 1.1.4RC2 fix s/gvidcap/xvidcap in menu
    - Import xvidcap

